const { spawnSync } = require("child_process");
const { Logger } = require("./Logger");
function getGitRootPath() {
  const childProcess = spawnSync("git", ["rev-parse", "--show-toplevel"], {
    shell: true
  });
  return childProcess.stdout.toString().split("\n").filter(Boolean).pop();
}


module.exports = {
  getGitRootPath
};
