const fs =  require('fs')
const { getRootDirectory } = require('./navigateToRootDirectory')
const getNodeModulesPath = require('./getNodeModulesPath')
const path = require('path')

function updateGitIgnore(){
    var isUpdated = false
    const gitIgnoreContent = path.resolve(path.relative(getRootDirectory(),getNodeModulesPath()),'.gitignore.js') 
    const gitIgnoreFilePath = path.resolve(getRootDirectory(),'.gitignore.js')
    var gitIgnoreFileAsArray = fs.readFileSync(gitIgnoreFilePath,'utf-8').split('\n')
    gitIgnoreFileAsArray.forEach((content) => {
        if(content.includes(gitIgnoreContent)){
            isUpdated = true
            return;
        }
        return;
    })
    if(!isUpdated){
        fs.appendFileSync(gitIgnoreFilePath,gitIgnoreContent.toString(),'utf-8')
    }
}


module.exports = {
    updateGitIgnore
}