const { spawn } = require("child_process");
const { platform } = require("os");;
const { getLintConfigDirectory } = require("./getFileUtils");

function unzipFolder() {
  const configZipPath = getLintConfigDirectory();
  const command = [`-xvf`, `${configZipPath}`];
  const command_prefix = "tar";
  const childProcess = spawn(command_prefix, command, {
    shell: true
  })
  childProcess.on('exit',() => {
    removeFolder(configZipPath)
  })
  return;
}


function removeFolder(folderPath){
    const _cmd = isWindows() ? `del` : `rm`;
    spawn(_cmd,[folderPath])
}


function isWindows(){
    return _os = platform().toLowerCase() === "win32";
}



module.exports = {
  unzipFolder,
  removeFolder
};
