const { getRepoName } = require("./pre-commit");

function requireConfigBasedOnRepo() {
  switch (getRepoName()) {
    case "desk_client_app": {
      return "./common/desk_client_app";
      break;
    }

    case "helpcenter_client": {
      return "./common/helpcenter_client";
      break;
    }

    case "zohodeskim_client": {
      return "./common/zohodeskim_client";
      break;
    }

    default: {
      break;
    }
  }
}

module.exports = require(requireConfigBasedOnRepo());
